package ub.scp2.dao;

import java.util.List;

import ub.scp2.entities.Task;
import ub.scp2.entities.Test;
import ub.scp2.entities.User;

public interface TaskDao {

	public List<Task> getActiveTasksByUser(User user);
	public List<Task> getExpiredTasksByUser(User user);
	public List<Task> getTasks();
	public void saveTask(Task task);
	public boolean exists(Long taskid, User user);
	public Task getTaskById(Long taskid);
	public List<Test>getTestByTask(Long taskid);
	public void deleteTask(Task task);
	public void updateTask(Task task);

        public List<String[]> getPresetArguments(String path);
}
